/*------------------------------------------------------------------------------
 lib/djv_image/io_lut_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "io_lut.h"

namespace djv {
namespace image {
namespace io {
namespace lut {

const List<Str> & spec_label()
{
  static const List<Str> data = List<Str>() << "Inferno" << "Kodak";
  return data;
}

const List<Str> & type_label()
{
  static const List<Str> data = List<Str>() << "Auto" << "U8" << "U10" <<
    "U16";
  return data;
}

const List<Str> & load_option_label()
{
  static const List<Str> data = List<Str>() << "Spec" << "Type";
  return data;
}

const List<Str> & save_option_label()
{
  static const List<Str> data = List<Str>() << "Spec";
  return data;
}

}
}
}
}

