/*------------------------------------------------------------------------------
 lib/djv_image/io_ppm_fnc.cxx

 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "io_ppm.h"

namespace djv {
namespace image {
namespace io {
namespace ppm {

const List<Str> & type_label()
{
  static const List<Str> data = List<Str>() << "Auto" << "U1";
  return data;
}

const List<Str> & mode_label()
{
  static const List<Str> data = List<Str>() << "ASCII" << "Binary";
  return data;
}

const List<Str> & save_option_label()
{
  static const List<Str> data = List<Str>() << "Type" << "Mode";
  return data;
}

}
}
}
}

