/*------------------------------------------------------------------------------
 plugin/djv_jpeg/fnc.cxx
 
 Copyright (c) 2004-2007 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJV_DBG
#define _DBG "plugin/djv_jpeg/fnc.cxx"

#include "plugin.h"

extern "C" {

void djv_jpeg_error(libjpeg::j_common_ptr in)
{
  Jpeg_Error * error = (::Jpeg_Error *)in->err;  
  in->err->format_message(in, error->msg);
  ::longjmp(error->jump, 1);
}

void djv_jpeg_warn(libjpeg::j_common_ptr in, int level)
{
  if (level > 0) return;

  Jpeg_Error * error = (::Jpeg_Error *)in->err;  
  in->err->format_message(in, error->msg);
  ::longjmp(error->jump, 1);
}

}

const List<Str> & save_option_label()
{
  static const List<Str> data = List<Str>() << "Quality";
  return data;
}

